Bug 1756540 - Please update tqdm to upstream version 4.35, I see it's in rawhide already.
Summary: Please update tqdm to upstream version 4.35, I see it's in rawhide already.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tqdm
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-27 21:43 UTC by Ryan Blakley
Modified: 2019-10-26 17:21 UTC (History)
2 users (show)

Fixed In Version: python-tqdm-4.36.1-1.fc29 python-tqdm-4.36.1-1.fc30 python-tqdm-4.36.1-1.el8 python-tqdm-4.36.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-10 16:19:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Ryan Blakley 2019-09-27 21:43:18 UTC
Description of problem: Please update tqdm to upstream version 4.35, I see it's in rawhide already, but the rawhide version requires 3.8. In the current version writing to the buffer doesn't write below the progress bars, along with when it finishes running the prompt is dropped in the middle of the output. 


Actual results:
$ pip3 show tqdm
Name: tqdm
Version: 4.28.1
Summary: Fast, Extensible Progress Meter
Home-page: https://github.com/tqdm/tqdm
Author: Noam Yorav-Raphael
Author-email: noamraph@gmail.com
License: MPLv2.0, MIT Licences
Location: /usr/lib/python3.7/site-packages
Requires: 
Required-by: p-tqdm
rblakley@krypton-mini ~/projects $ ./test.py 
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:02<00:00, 1794.23it/s]
test|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:01<00:00, 2553.91it/s]
rblakley@krypton-mini ~/projects $ ████████████████████████████████████████████| 5000/5000 [00:01<00:00, 3241.91it/s]
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:01<00:00, 3959.42it/s]


Expected results:
$ pip3 show tqdm
Name: tqdm
Version: 4.35.0
Summary: Fast, Extensible Progress Meter
Home-page: https://github.com/tqdm/tqdm
Author: None
Author-email: None
License: MPLv2.0, MIT Licences
Location: /home/rblakley/.local/lib/python3.7/site-packages
Requires: 
Required-by: p-tqdm
rblakley@krypton-mini ~/projects $ ./test.py 
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:01<00:00, 3975.13it/s]
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:01<00:00, 3239.82it/s]
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:01<00:00, 2549.85it/s]
100%|██████████████████████████████████████████████████████████████████████████| 5000/5000 [00:02<00:00, 1795.08it/s]
test
rblakley@krypton-mini ~/projects $


Additional info:

Comment 1 Fedora Update System 2019-10-02 15:20:54 UTC
FEDORA-EPEL-2019-012888c7fc has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-012888c7fc

Comment 2 Fedora Update System 2019-10-02 15:20:55 UTC
FEDORA-2019-1491743917 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1491743917

Comment 3 Fedora Update System 2019-10-02 15:20:59 UTC
FEDORA-2019-1f4a3c7e68 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1f4a3c7e68

Comment 4 Fedora Update System 2019-10-02 15:21:00 UTC
FEDORA-2019-6f8edf7f31 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f8edf7f31

Comment 5 Fedora Update System 2019-10-03 01:52:48 UTC
python-tqdm-4.36.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1f4a3c7e68

Comment 6 Fedora Update System 2019-10-03 03:19:57 UTC
python-tqdm-4.36.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6f8edf7f31

Comment 7 Fedora Update System 2019-10-03 03:31:10 UTC
python-tqdm-4.36.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1491743917

Comment 8 Fedora Update System 2019-10-03 03:58:23 UTC
python-tqdm-4.36.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-012888c7fc

Comment 9 Fedora Update System 2019-10-10 16:19:30 UTC
python-tqdm-4.36.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-10-10 16:56:15 UTC
python-tqdm-4.36.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-18 01:20:57 UTC
python-tqdm-4.36.1-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-26 17:21:31 UTC
python-tqdm-4.36.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.